%define		package	Asset
%define		php_min_version 5.3.9
Summary:	Symfony2 Asset Component
Name:		php-symfony2-%{package}
Version:	2.8.52
Release:	2
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	918417574f26e7e618cdc5d1d2a1ca82
Patch0:		https://github.com/symfony/asset/compare/2.8...glensc:2.8.patch?/JsonManifestVersionStrategy.patch
# Patch0-md5:	23bffda6937a66550e73e24320c8fd46
URL:		https://symfony.com/doc/2.8/components/asset.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(hash)
Requires:	php(spl)
Requires:	php-dirs >= 1.6
Suggests:	php-symfony2-HttpFoundation
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Asset component manages URL generation and versioning of web
assets such as CSS stylesheets, JavaScript files and image files.

%prep
%setup -q -n asset-%{version}
%patch0 -p1

%build
phpab -n -e '*/Tests/*' -o autoloader.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%{php_data_dir}/Symfony/Component/Asset
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Asset.git;a=log;h=master

* Wed May 06 2020 Elan Ruusamäe <glen@pld-linux.org> 2eb6b1a
- Add backport of JsonManifestVersionStrategy

* Wed May 06 2020 Elan Ruusamäe <glen@pld-linux.org> 7c08d66
- Update to 2.8.52

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> ea2f885
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> fb0f5ac
- up to 2.7.8, install to php data dir

* Sat Oct 03 2015 Elan Ruusamäe <glen@delfi.ee> bbfd2ee
- up to 2.7.5

* Fri Aug 07 2015 Elan Ruusamäe <glen@delfi.ee> f01df5c
- php deps via pci

* Fri Aug 07 2015 Elan Ruusamäe <glen@delfi.ee> 816d509
- new, version 2.7.3

